<?php

if(class_exists('RabbitLoader_21_Tab_Help')){
    #it seems we have a conflict
    return;
}

class RabbitLoader_21_Tab_Help {

    public static function init(){
        add_settings_section(
            'rabbitloader_section_help',
            ' ',
            '',
            'rabbitloader-help'
        );
    }

    public static function echoMainContent(){

        do_settings_sections( 'rabbitloader-help' );
        ?>
        <div class="" style="max-width: 1160px; margin:40px auto;">
            <div class="row mb-4">
                <div class="col">
                    <div class="bg-white rounded p-4">
                        <div class="row">
                            
                            <div class="col-sm-12 col-md-8 text-secondary">
                                <h5 class="mt-0"><?php RabbitLoader_21_Util_WP::_e('Having trouble?');?></h5>
                                <span><?php RabbitLoader_21_Util_WP::_e('Facing issue with RabbitLoader plugin? Browse our knowledge base for common issues or reach out to our support team at support@rabbitloader.com');?></span>

                                <div class="mt-5">
                                    <a target="_blank" class="btn btn-primary mb-1 mb-sm-0" href="https://rabbitloader.com/kb/" ><?php RabbitLoader_21_Util_WP::_e('Browse Knowledge Base');?></a>
                                    <a target="_blank" class="btn btn-outline-primary" href="mailto:support@rabbitloader.com"><?php RabbitLoader_21_Util_WP::_e('Contact Support');?></a>
                                </div>

                            </div>
                            <div class="col-sm-12 col-md-4 text-center">
                                <img src="<?php echo RABBITLOADER_PLUG_URL;?>/assets/error.png" class="img-fluid" style="max-height:170px;"/> 
                            </div> 
                        </div>
                    </div>
                </div>
            </div>
            <div class="row mb-4">
                <div class="col">
                    <div class="bg-white rounded p-4">
                        <div class="row"> 
                            <?php
                            self::get_faq($faqs);
                            foreach($faqs as $i=>$faq_item){
                                echo '
                                <div class="col-12 text-secondary">
                                    <h5 class="mt-'.($i?'4':'0').'">Q. '.$faq_item[0].'</h5>
                                    <span>'.$faq_item[1].'</span>
                                </div>';
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php
    }

    private static function get_faq(&$faqs){
        $faqs = [];
        $faqs[] = [
            'Images not appearing?',
            'Make sure you turn off image optimization settings in other plugins (e.g. Smush, JetPack, ShortPixel etc).'
        ];
        $faqs[] = [
            'Pages are not discovered or at very slow rate?',
            'Make sure all pages on your website have a canonical URL. <a href="https://rabbitloader.com/kb/slow-warm-up-wordpress-website/" title="Read more" target="_blank">read more</a>'
        ];
        $faqs[] = [
            'Content changes are not reflecting on public pages?',
            'All content changes are automatically detected and related pages are rebuilt. <a href="https://rabbitloader.com/kb/purging-cache-wordpress-plugin/" title="Read more" target="_blank">Read this for possible issues.</a>'
        ];
        $faqs[] = [
            'Can I control JS/CSS/HTML minification?',
            'Yes, you can fully control the minification by following <a href="https://rabbitloader.com/kb/minify-html-css-javascript/" title="Read more" target="_blank">this guide.</a>'
        ];
        $faqs[] = [
            'Can I enable/disable lazy loading of ads such as AdSense, AdThrive etc?',
            'Yes, you can choose loading speed over ads or vice-versa. To know more, follow <a href="https://rabbitloader.com/kb/lazy-loading-of-adsense-ads/" title="Read more" target="_blank">this guide.</a>'
        ];
        $faqs[] = [
            'I see new errors which were not before.',
            'To confirm the source of such errors, you can bypass RabbitLoader by following <a href="https://rabbitloader.com/kb/new-errors-with-rabbit-loader/" title="Read more" target="_blank">this guide.</a>'
        ];
    }
}

?>